
#property copyright "Vetrov"

extern int cikl = 712;
static int prevtime = 0;

double Correction2[3]          = {,0.0};
double SquareCorrection2[3]    = {,0.0};
double Correction11[17]        = {,0.0};
double SquareCorrection11[17]  = {,0.0};
double Correction12[17]        = {,0.0};
double SquareCorrection12[17]  = {,0.0};

#include <NeroLite_ma.mqh> 
//-----------------------------------
int init()
  {
   return(0);
  }

int deinit()
  {
   return(0);
  }
//-------------------------------------
int start()
  {
   static double d_2_out, d_2_in, d_11_in, d_12_in, test, out;

   if(Time[0] == prevtime)                  
    return(0);
   prevtime = Time[0];
   
// -----------------------------------------  ---------------------------------------------------
 for(int q = 1; q <= 1000; q++) 
  {
   for(int i = cikl; i >= 0; i--)
     {
       out  = OUT2(i);                                                   //  .  
       test = (Close[i]-Close[i+1])/Close[i+1];                          //  n+1- 
       
       d_2_out = test - out;                                             //             
       d_2_in  = d_2_out * (1 - out*out);                                //     
       
       Correction2[0]       += d_2_in * D2[0];                           //   
       SquareCorrection2[0] += Correction2[0] * Correction2[0];          //      . 
       Correction2[1]       += d_2_in * D2[1];                           //     
       SquareCorrection2[1] += Correction2[1] * Correction2[1];     
       Correction2[2]       += d_2_in * D2[2];
       SquareCorrection2[2] += Correction2[2] * Correction2[2];   
       
       d_11_in = d_2_in * (1 - D2[1]*D2[1]);                             //      
       d_12_in = d_2_in * (1 - D2[2]*D2[2]);                             //  
       
       for (int k = 0; k < 17; k++)
         {                                                               //    
          Correction11[k]       += d_11_in * D1[k];                      //  
          SquareCorrection11[k] += Correction11[k] * Correction11[k];  
         }                                    
         
       for (k = 0; k < 17; k++)
         {                                                               //    
          Correction12[k]       += d_12_in * D1[k];                      //   
          SquareCorrection12[k] += Correction12[k] * Correction12[k]; 
         }                                    
     }
// -------------------------------------   --------------------------------------------------

// -----------------------------------   ------------------------------------------------
   
   /*for(i = 0; i < 4; i++)                                              
     W2[i] += Corr[i]/MathSqrt(Norm[i]); */
   }                                  
     
   /* Alert("Corr [",0,"] = ",Corr[0]," Corr [",1,"] = ",Corr[1]," Corr [",2,"] = ",Corr[2]," Corr [",3,"] = ",Corr[3]);     
   Alert("Norm [",0,"] = ",Norm[0]," Norm [",1,"] = ",Norm[1]," Norm [",2,"] = ",Norm[2]," Norm [",3,"] = ",Norm[3]); 
   Alert("Norm [",0,"] = ",MathSqrt(Norm[0])," Norm [",1,"] = ",MathSqrt(Norm[1])," Norm [",2,"] = ",MathSqrt(Norm[2]),
                                                                                         " Norm [",3,"] = ",MathSqrt(Norm[3])); 
   Alert("Norm [",0,"] = ",Corr[0]/MathSqrt(Norm[0])," Norm [",1,"] = ",Corr[1]/MathSqrt(Norm[1]),
        " Norm [",2,"] = ",Corr[2]/MathSqrt(Norm[2])," Norm [",3,"] = ",Corr[3]/MathSqrt(Norm[3]));  */                                                                                     
  Alert("W2 [",0,"] = ",W2[0]," W2 [",1,"] = ",W2[1]," W2 [",2,"] = ",W2[2]," W2 [",3,"] = ",W2[3]);
   return(0);
  }


